All operations
COMPANY
Fetches assigned company reps with pagination and optional search.
GET
/api/v2/companies/{companyId}/repsAuthentication
Choose one supported method for this request.
Parameters
companyIdpathinteger · int32requiredThe company ID.
pagequeryinteger · int32Page number.
pageSizequeryinteger · int32Items per page (1–200).
searchquerystringOptional search (first/last name, email).
Responses
Company reps retrieved successfully.
Standard response envelope
PaginatedisSuccessmessageerrorsdataRead the result from data. When isSuccess is false, errors lists what went wrong. Handling errors
totalCountinteger · int32assignedIdinteger · int32userIdinteger · int32firstNamestringnullablelastNamestringnullableemailstringnullabledepartmentstringnullabletitlestringnullablecellstringnullablerolesstring[]
pageCountinteger · int32currentPageCountinteger · int32nextPageNumberinteger · int32nullablehasNextPageboolean